from argparse import ArgumentParser
from json import dumps

from .classes.config import Config
from .classes.adonis import Adonis


if __name__ == "__main__":
    parser = ArgumentParser()
    parser.add_argument("pin", nargs="+")
    args = parser.parse_args()

    config = Config("settings.ini")
    api = Adonis.fromConfig(config)

    data = dict()

    for pin in args.pin:
        crewdata = dict()

        crew = api.getCrew(pin)

        crewdata["firstName"] = crew.firstName
        crewdata["middleName"] = crew.middleName
        crewdata["lastName"] = crew.lastName
        crewdata["dob"] = crew.birthDate
        crewdata["password"] = crew.birthDate.replace("-", "")
        crewdata["email"] = crew.email
        crewdata["profilePicture"] = crew.profilePicture

        data[pin] = crewdata

    print(dumps(data))
